svn commit: trunk/busybox/testsuite

vda at busybox.net vda at busybox.net
Thu Jun 5 08:27:26 UTC 2008


Author: vda
Date: 2008-06-05 01:27:26 -0700 (Thu, 05 Jun 2008)
New Revision: 22225

Log:
added testsuite for printf by Cristian Ionescu-Idbohrn



Added:
   trunk/busybox/testsuite/printf.tests


Changeset:
Added: trunk/busybox/testsuite/printf.tests
===================================================================
--- trunk/busybox/testsuite/printf.tests	                        (rev 0)
+++ trunk/busybox/testsuite/printf.tests	2008-06-05 08:27:26 UTC (rev 22225)
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+set -e
+
+. testing.sh
+
+# Need this in order to not execute shell builtin
+bb="busybox "
+
+# testing "test name" "command" "expected result" "file input" "stdin"
+
+testing "printf produce no further output 1" \
+	"${bb}printf '\c' foo" \
+	"" \
+	"" ""
+
+testing "printf produce no further output 2" \
+	"${bb}printf '%s\c' foo \$HOME" \
+	"foo" \
+	"" ""
+
+testing "printf repeatedly use pattern for each argv" \
+	"${bb}printf '%s\n' foo \$HOME" \
+	"foo\n$HOME\n" \
+	"" ""
+
+exit $FAILCOUNT


Property changes on: trunk/busybox/testsuite/printf.tests
___________________________________________________________________
Name: svn:executable
   + *




More information about the busybox-cvs mailing list